{
  "type": "minecraft:block",
  "pools": [
    {
      "bonus_rolls": 0,
      "conditions": [],
      "entries": [
        {
          "type": "minecraft:item",
          "name": "minecraft:chicken_spawn_egg",
          "functions": [
            {
              "function": "minecraft:set_components",
              "components": {
                  "minecraft:item_model": "minecraft:cherry_fence",
                  "minecraft:item_name": {
                    "text": "Cherry Tanning Rack",
                    "color": "white"
                  },
                  "minecraft:entity_data": {
                    "id": "minecraft:marker",
                    "Tags": [
                        "OverlyRealistic.Block.TanningRackMarker"
                    ],
                    "data": {
                      "type": "cherry",
                      "IsCustomBlock": "tanning_rack"
                    }
                  },
                  "minecraft:custom_data": {
                    "IsCustomBlock": "tanning_rack"
                  },
                  "custom_model_data": {"strings":["overlyrealistic:cherry_tanning_rack"]}
                }
            }
          ]
        }
      ],
      "rolls": 1
    }
  ]
}